# Uses of Interface
org.italiangrid.voms.store.VOMSTrustStore

Packages that use VOMSTrustStore
Package
Description
org.italiangrid.voms
This package provides main VOMS Java APIs class and interfaces.
org.italiangrid.voms.ac.impl
Implementation classes for VOMS attributes validation and parsing.
org.italiangrid.voms.store
This package provides the API for managing VOMS trust stores.
org.italiangrid.voms.store.impl
This package provides the implementation of VOMS trust store management.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSTrustStore in org.italiangrid.voms

Methods in org.italiangrid.voms with parameters of type VOMSTrustStore
Modifier and Type
Method
Description
`static VOMSACValidator`
VOMSValidators.`newValidator(VOMSTrustStore trustStore, eu.emi.security.authn.x509.X509CertChainValidatorExt validator)`
`static VOMSACValidator`
VOMSValidators.`newValidator(VOMSTrustStore trustStore, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener)`
`static VOMSACValidator`
VOMSValidators.`newValidator(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, ValidationResultListener vrListener, VOMSACLookupStrategy strategy)`

## Uses of VOMSTrustStore in org.italiangrid.voms.ac.impl

Methods in org.italiangrid.voms.ac.impl with parameters of type VOMSTrustStore
Modifier and Type
Method
Description
`DefaultVOMSValidator.Builder`
DefaultVOMSValidator.Builder.`trustStore(VOMSTrustStore ts)`
Constructors in org.italiangrid.voms.ac.impl with parameters of type VOMSTrustStore
Modifier
Constructor
Description
``
`DefaultVOMSValidationStrategy(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator)`
``
`DefaultVOMSValidationStrategy(VOMSTrustStore store, eu.emi.security.authn.x509.X509CertChainValidatorExt validator, LocalHostnameResolver resolver)`

## Uses of VOMSTrustStore in org.italiangrid.voms.store

Subinterfaces of VOMSTrustStore in org.italiangrid.voms.store
Modifier and Type
Interface
Description
`interface`
`UpdatingVOMSTrustStore`
A VOMS trust store that can be periodically refreshed.
Methods in org.italiangrid.voms.store that return VOMSTrustStore
Modifier and Type
Method
Description
`static VOMSTrustStore`
VOMSTrustStores.`newTrustStore()`
Creates a `VOMSTrustStore` configured with default settings.
`static VOMSTrustStore`
VOMSTrustStores.`newTrustStore(long updateFrequency)`
Creates a `VOMSTrustStore` configured according to the parameters passed as argument
`static VOMSTrustStore`
VOMSTrustStores.`newTrustStore(List<String> localTrustDirs)`
Creates a `VOMSTrustStore` configured according to the parameters passed as argument
`static VOMSTrustStore`
VOMSTrustStores.`newTrustStore(List<String> localTrustDirs, long updateFrequency, VOMSTrustStoreStatusListener statusListener)`
Creates a `VOMSTrustStore` configured according to the parameters passed as argument

## Uses of VOMSTrustStore in org.italiangrid.voms.store.impl

Classes in org.italiangrid.voms.store.impl that implement VOMSTrustStore
Modifier and Type
Class
Description
`class`
`DefaultUpdatingVOMSTrustStore`
A VOMS trust store that periodically updates itself.
`class`
`DefaultVOMSTrustStore`
The default implementation for the VOMS trust store.

## Uses of VOMSTrustStore in org.italiangrid.voms.util

Methods in org.italiangrid.voms.util with parameters of type VOMSTrustStore
Modifier and Type
Method
Description
`void`
NullListener.`notifyTrustStoreUpdate(VOMSTrustStore store)`